> For the complete documentation index, see [llms.txt](https://docs.specifyapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specifyapp.com/reference/specify-sdk/specifyclient.md).

# SpecifyClient

## Properties

### isAuthenticated

A boolean indicating whether the client is authenticated or not.

## Methods

### authenticate

Authenticates the client with a Personal Access Token. Can be generated at [specifyapp.com/user/personal-access-tokens](https://specifyapp.com/user/personal-access-tokens)

```typescript
authenticate(personalAccessToken: string): Promise<void>;
```

### whoAmI

Returns the current user if authenticated.

```typescript
whoAmI(): {
  email: string;
  id: string;
  username: string;
  fullname: string;
  organizations: {
    id: string;
    namespace: string;
    domain: string | null;
  }[];
} | null;
```

### logout

Logs out the current user.

```typescript
logout(): void;
```

### getRepositories

Returns the repositories list of the current organization.

```typescript
getRepositories(): Promise<{
  name: string;
  id: string;
  version: number;
  createdAt: string;
  updatedAt: string;
}[]>;
```

### getSDTFClientByRepositoryName

Returns a SDTFClient instance to work with the SDTF token tree of the repository.

```typescript
getSDTFClientByRepositoryName(repositoryName: string): Promise<SDTFClient>;
```

### transformTokenTreeWithRemoteParsers

Generates Design Tokens from the given token tree and configuration parsers.

```typescript
transformTokenTreeWithRemoteParsers(
  sdtfTree: SpecifyDesignTokenFormat,
  parsers: PipeEngineParserConfiguration
): Promise<{
  fromRule: string;
  output: PipeEngineRuleOutput
}>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.specifyapp.com/reference/specify-sdk/specifyclient.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
